# $Revision: 1.8 $, $Date: 2012/01/15 17:03:03 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Test
%define	pnam	NoWarnings
Summary:	Test::NoWarnings - Make sure you didn't emit any warnings while testing
Summary(pl.UTF-8):	Test::NoWarnings - sprawdzanie braku ostrzeżeń podczas testów
Name:		perl-Test-NoWarnings
Version:	1.04
Release:	1
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/ADAMK/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	682ed043f7d3e38f3dfd8745fd21c49a
URL:		http://search.cpan.org/dist/Test-NoWarnings/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.86
BuildRequires:	perl-Test-Tester >= 0.107
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
In general, your tests shouldn't produce warnings. This modules causes
any warnings to be captured and stored. It automatically adds an extra
test that will run when your script ends to check that there were no
warnings. If there were any warings, the test will give a "not ok" and
diagnostics of where, when and what the warning was, including a stack
trace of what was going on when the it occurred.

If some of your tests are supposed to produce warnings then you should
be capturing and checking them with Test::Warn, that way
Test::NoWarnings will not see them and so not complain.

%description -l pl.UTF-8
W ogólności testy nie powinny generować ostrzeżeń. Ten moduł powoduje,
że wszystkie ostrzeżenia są przechwytywane i zapisywane. Automatycznie
dodaje dodatkowy test uruchamiany po zakończeniu skryptu, sprawdzający
czy nie było ostrzeżeń. Jeśli wystąpiły jakiekolwiek ostrzeżenia, test
wypisze "not ok" i dane diagnostyczne, w którym miejscu, kiedy i jakie
było ostrzeżenie, wraz ze śladem stosu tego, co działo się w chwili
jego wystąpienia.

Jeśli jakieś testy mają wygenerować ostrzeżenia, należy je wyłapać i
sprawdzić przy użyciu Test::Warn - tak, żeby Test::NoWarnings ich nie
zobaczył.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Test/NoWarnings.pm
%{perl_vendorlib}/Test/NoWarnings
%{_mandir}/man3/Test::NoWarnings.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-NoWarnings.spec,v $
Revision 1.8  2012/01/15 17:03:03  zbyniu
- up to 1.04

Revision 1.7  2010/12/06 20:10:26  qboosh
- updated to 1.02

Revision 1.6  2010/12/05 12:07:34  glen
- release 2

Revision 1.5  2007/12/30 23:21:32  zbyniu
- up to 0.084

Revision 1.4  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.2  2005/11/19 14:29:13  qboosh
- pl, generic URL

Revision 1.1  2005/11/18 19:36:37  migo
- initial revision
